<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html">speakerManager</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html">SpeakerManagerTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac1993df3bfe214c000d14f07bf533dc5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html#ac1993df3bfe214c000d14f07bf533dc5">SetUp</a> ()</td></tr>
<tr class="memdesc:ac1993df3bfe214c000d14f07bf533dc5"><td class="mdescLeft">&#160;</td><td class="mdescRight">SetUp before each test.  <a href="#ac1993df3bfe214c000d14f07bf533dc5">More...</a><br /></td></tr>
<tr class="separator:ac1993df3bfe214c000d14f07bf533dc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7627b314c70067a59c2fc20bb5e0555b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html#a7627b314c70067a59c2fc20bb5e0555b">TearDown</a> ()</td></tr>
<tr class="memdesc:a7627b314c70067a59c2fc20bb5e0555b"><td class="mdescLeft">&#160;</td><td class="mdescRight">TearDown after each test.  <a href="#a7627b314c70067a59c2fc20bb5e0555b">More...</a><br /></td></tr>
<tr class="separator:a7627b314c70067a59c2fc20bb5e0555b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a527b91c8703bb81bd4cc748a78779217"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html#a527b91c8703bb81bd4cc748a78779217">cleanUp</a> ()</td></tr>
<tr class="memdesc:a527b91c8703bb81bd4cc748a78779217"><td class="mdescLeft">&#160;</td><td class="mdescRight">CleanUp and reset the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a>.  <a href="#a527b91c8703bb81bd4cc748a78779217">More...</a><br /></td></tr>
<tr class="separator:a527b91c8703bb81bd4cc748a78779217"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23ec002c78d7a548e03fd31deb8f98b2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html#a23ec002c78d7a548e03fd31deb8f98b2">wakeOnSetCompleted</a> ()</td></tr>
<tr class="memdesc:a23ec002c78d7a548e03fd31deb8f98b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to wait for <code>m_wakeSetCompleteFuture</code> to be set.  <a href="#a23ec002c78d7a548e03fd31deb8f98b2">More...</a><br /></td></tr>
<tr class="separator:a23ec002c78d7a548e03fd31deb8f98b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c48a35bf15a043109d353641d6bd808"><td class="memItemLeft" align="right" valign="top">std::set&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html#a5c48a35bf15a043109d353641d6bd808">getUniqueTypes</a> (std::vector&lt; std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html">SpeakerInterface</a> &gt;&gt; &amp;speakers)</td></tr>
<tr class="memdesc:a5c48a35bf15a043109d353641d6bd808"><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper function to get unique <code>Type</code>.  <a href="#a5c48a35bf15a043109d353641d6bd808">More...</a><br /></td></tr>
<tr class="separator:a5c48a35bf15a043109d353641d6bd808"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa30f40ba24e63872970ade31bef12db2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html#aa30f40ba24e63872970ade31bef12db2">SpeakerManagerTest</a> ()</td></tr>
<tr class="memdesc:aa30f40ba24e63872970ade31bef12db2"><td class="mdescLeft">&#160;</td><td class="mdescRight">A constructor which initializes the promises and futures needed for the test class.  <a href="#aa30f40ba24e63872970ade31bef12db2">More...</a><br /></td></tr>
<tr class="separator:aa30f40ba24e63872970ade31bef12db2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a4ffdea0b14056b4aa391025e5b53523d"><td class="memItemLeft" align="right" valign="top">std::promise&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html#a4ffdea0b14056b4aa391025e5b53523d">m_wakeSetCompletedPromise</a></td></tr>
<tr class="memdesc:a4ffdea0b14056b4aa391025e5b53523d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Promise to synchronize directive handling through setCompleted.  <a href="#a4ffdea0b14056b4aa391025e5b53523d">More...</a><br /></td></tr>
<tr class="separator:a4ffdea0b14056b4aa391025e5b53523d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a953a3c2700aa07225e0ce1a156c6f2e0"><td class="memItemLeft" align="right" valign="top">std::future&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html#a953a3c2700aa07225e0ce1a156c6f2e0">m_wakeSetCompletedFuture</a></td></tr>
<tr class="memdesc:a953a3c2700aa07225e0ce1a156c6f2e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Future to synchronize directive handling through setCompleted.  <a href="#a953a3c2700aa07225e0ce1a156c6f2e0">More...</a><br /></td></tr>
<tr class="separator:a953a3c2700aa07225e0ce1a156c6f2e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa68888d7a13f3eac90059f896907d775"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; NiceMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_context_manager.html">MockContextManager</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html#aa68888d7a13f3eac90059f896907d775">m_mockContextManager</a></td></tr>
<tr class="separator:aa68888d7a13f3eac90059f896907d775"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40e14b2a6495edb4151d7bce3b90d6b8"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; StrictMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_message_sender.html">MockMessageSender</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html#a40e14b2a6495edb4151d7bce3b90d6b8">m_mockMessageSender</a></td></tr>
<tr class="memdesc:a40e14b2a6495edb4151d7bce3b90d6b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">A strict mock that allows the test to strictly monitor the messages sent.  <a href="#a40e14b2a6495edb4151d7bce3b90d6b8">More...</a><br /></td></tr>
<tr class="separator:a40e14b2a6495edb4151d7bce3b90d6b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb279c7ebee607b56d3d46887aef9006"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; StrictMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_exception_encountered_sender.html">MockExceptionEncounteredSender</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html#acb279c7ebee607b56d3d46887aef9006">m_mockExceptionSender</a></td></tr>
<tr class="memdesc:acb279c7ebee607b56d3d46887aef9006"><td class="mdescLeft">&#160;</td><td class="mdescRight">A strict mock that allows the test to strictly monitor the exceptions being sent.  <a href="#acb279c7ebee607b56d3d46887aef9006">More...</a><br /></td></tr>
<tr class="separator:acb279c7ebee607b56d3d46887aef9006"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31217b3b4e2fdda7e5a486a317d7aeb9"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; StrictMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_directive_handler_result.html">MockDirectiveHandlerResult</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html#a31217b3b4e2fdda7e5a486a317d7aeb9">m_mockDirectiveHandlerResult</a></td></tr>
<tr class="memdesc:a31217b3b4e2fdda7e5a486a317d7aeb9"><td class="mdescLeft">&#160;</td><td class="mdescRight">A strict mock that allows the test to strictly monitor the handling of directives.  <a href="#a31217b3b4e2fdda7e5a486a317d7aeb9">More...</a><br /></td></tr>
<tr class="separator:a31217b3b4e2fdda7e5a486a317d7aeb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b68e819933ef405a1b72f3cf70841fc"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; NiceMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_observer.html">MockObserver</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html#a7b68e819933ef405a1b72f3cf70841fc">m_observer</a></td></tr>
<tr class="memdesc:a7b68e819933ef405a1b72f3cf70841fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">A mock to allow testing of the observer callback behavior.  <a href="#a7b68e819933ef405a1b72f3cf70841fc">More...</a><br /></td></tr>
<tr class="separator:a7b68e819933ef405a1b72f3cf70841fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae298a5e9b64007919a2d086eae69abd5"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_speaker_manager_test.html#ae298a5e9b64007919a2d086eae69abd5">m_speakerManager</a></td></tr>
<tr class="memdesc:ae298a5e9b64007919a2d086eae69abd5"><td class="mdescLeft">&#160;</td><td class="mdescRight">A pointer to an instance of the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a> that will be instantiated per test.  <a href="#ae298a5e9b64007919a2d086eae69abd5">More...</a><br /></td></tr>
<tr class="separator:ae298a5e9b64007919a2d086eae69abd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa30f40ba24e63872970ade31bef12db2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa30f40ba24e63872970ade31bef12db2">&#9670;&nbsp;</a></span>SpeakerManagerTest()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest::SpeakerManagerTest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A constructor which initializes the promises and futures needed for the test class. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a527b91c8703bb81bd4cc748a78779217"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a527b91c8703bb81bd4cc748a78779217">&#9670;&nbsp;</a></span>cleanUp()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest::cleanUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>CleanUp and reset the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a>. </p>

</div>
</div>
<a id="a5c48a35bf15a043109d353641d6bd808"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c48a35bf15a043109d353641d6bd808">&#9670;&nbsp;</a></span>getUniqueTypes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::set&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> &gt; alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest::getUniqueTypes </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html">SpeakerInterface</a> &gt;&gt; &amp;&#160;</td>
          <td class="paramname"><em>speakers</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Helper function to get unique <code>Type</code>. </p>
<p class="">Helper function to get unique <code>Type</code> from a vector of speakers. </p>

</div>
</div>
<a id="ac1993df3bfe214c000d14f07bf533dc5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1993df3bfe214c000d14f07bf533dc5">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SetUp before each test. </p>

</div>
</div>
<a id="a7627b314c70067a59c2fc20bb5e0555b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7627b314c70067a59c2fc20bb5e0555b">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TearDown after each test. </p>

</div>
</div>
<a id="a23ec002c78d7a548e03fd31deb8f98b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23ec002c78d7a548e03fd31deb8f98b2">&#9670;&nbsp;</a></span>wakeOnSetCompleted()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest::wakeOnSetCompleted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function to wait for <code>m_wakeSetCompleteFuture</code> to be set. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aa68888d7a13f3eac90059f896907d775"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa68888d7a13f3eac90059f896907d775">&#9670;&nbsp;</a></span>m_mockContextManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;NiceMock&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_context_manager.html">MockContextManager</a>&gt; &gt; alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest::m_mockContextManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a31217b3b4e2fdda7e5a486a317d7aeb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31217b3b4e2fdda7e5a486a317d7aeb9">&#9670;&nbsp;</a></span>m_mockDirectiveHandlerResult</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;StrictMock&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_directive_handler_result.html">MockDirectiveHandlerResult</a>&gt; &gt; alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest::m_mockDirectiveHandlerResult</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A strict mock that allows the test to strictly monitor the handling of directives. </p>

</div>
</div>
<a id="acb279c7ebee607b56d3d46887aef9006"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb279c7ebee607b56d3d46887aef9006">&#9670;&nbsp;</a></span>m_mockExceptionSender</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;StrictMock&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_exception_encountered_sender.html">MockExceptionEncounteredSender</a>&gt; &gt; alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest::m_mockExceptionSender</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A strict mock that allows the test to strictly monitor the exceptions being sent. </p>

</div>
</div>
<a id="a40e14b2a6495edb4151d7bce3b90d6b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40e14b2a6495edb4151d7bce3b90d6b8">&#9670;&nbsp;</a></span>m_mockMessageSender</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;StrictMock&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_message_sender.html">MockMessageSender</a>&gt; &gt; alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest::m_mockMessageSender</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A strict mock that allows the test to strictly monitor the messages sent. </p>

</div>
</div>
<a id="a7b68e819933ef405a1b72f3cf70841fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b68e819933ef405a1b72f3cf70841fc">&#9670;&nbsp;</a></span>m_observer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;NiceMock&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_observer.html">MockObserver</a>&gt; &gt; alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest::m_observer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A mock to allow testing of the observer callback behavior. </p>

</div>
</div>
<a id="ae298a5e9b64007919a2d086eae69abd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae298a5e9b64007919a2d086eae69abd5">&#9670;&nbsp;</a></span>m_speakerManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a>&gt; alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest::m_speakerManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A pointer to an instance of the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a> that will be instantiated per test. </p>

</div>
</div>
<a id="a953a3c2700aa07225e0ce1a156c6f2e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a953a3c2700aa07225e0ce1a156c6f2e0">&#9670;&nbsp;</a></span>m_wakeSetCompletedFuture</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::future&lt;void&gt; alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest::m_wakeSetCompletedFuture</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Future to synchronize directive handling through setCompleted. </p>

</div>
</div>
<a id="a4ffdea0b14056b4aa391025e5b53523d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ffdea0b14056b4aa391025e5b53523d">&#9670;&nbsp;</a></span>m_wakeSetCompletedPromise</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::promise&lt;void&gt; alexaClientSDK::capabilityAgents::speakerManager::test::SpeakerManagerTest::m_wakeSetCompletedPromise</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Promise to synchronize directive handling through setCompleted. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/SpeakerManager/test/<a class="el" href="_speaker_manager_test_8cpp.html">SpeakerManagerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
